package com.zskk.dicom;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

import com.zskk.dicom.monitor.config.Configs;
import com.zskk.dicom.monitor.monitors.InitMonitor;
import com.zskk.dicom.monitor.schedules.StatRunner;

@SpringBootApplication(scanBasePackages = "com.zskk.dicom")
@EnableScheduling
@Configuration
@CacheEvict(allEntries = true)
public class WebStarts {

	public WebStarts() {
		Configs.sysLog.info("new WebStarts()...");
	}

	public static void main(String args[]) {
		SpringApplication springApplication = new SpringApplication(WebStarts.class);
		// 初始化配置信息
		Configs.initConfig();
		StringBuilder sb = new StringBuilder();
		sb.append("Dicom dir monitor...\n");
		sb.append("--------------------------------------------------\n");
		sb.append("Monitoring directory:" + Configs.monitorDir + "\n");
		sb.append("--------------------------------------------------\n");
		Configs.sysLog.info(sb.toString());
		springApplication.run(args);
		// SpringApplication.run(WebStarts.class, args);
		StatRunner.start();
		InitMonitor.start();
	}
}
