package com.zskk.dicom.monitor.config;

import java.io.File;
import java.util.ResourceBundle;

import com.zskk.dicom.monitor.utils.LogEnginer;

/**
 * 监控组件配置信息
 * 
 * @author dandian
 *
 */
public class Configs {

	/**
	 * 医院编号
	 */
	public static String hospitalId = "11000001";

	/**
	 * 监控的文件夹
	 */
	public static String monitorDir = "d:\\test";

	/**
	 * 监控的备份文件夹(上传文件后，将文件转存出来)
	 */
	public static String monitorBackDir = "d:\\test_back";

	/**
	 * 上传的IP
	 */
	public static String postHost = "127.0.0.1";

	/**
	 * 上传的端口
	 */
	public static Integer postPort = 1008;

	/**
	 * 上传的URI
	 */
	public static String postUri = "/upload";

	/**
	 * 异常上报的邮件标题
	 */
	public static String errReportTitle = "异常信息";

	/**
	 * 异常上报的时间间隔(秒)
	 */
	public static Long errReportTimeInterval = 60L;

	/**
	 * 异常上报的接收邮箱<br />
	 * 多个邮箱接收，使用“;”号分隔
	 */
	public static String errReportToEmail = null;

	/**
	 * 邮件发送邮箱
	 */
	public static String errReportFromEmail = null;

	/**
	 * 邮件发送邮箱的host信息
	 */
	public static String errReportFromEmailHost = null;

	/**
	 * 邮件发送邮箱的密码
	 */
	public static String errReportFromEmailPwd = null;

	/**
	 * 系统日志(包含系统、异常、业务处理等)
	 */
	public static LogEnginer sysLog = new LogEnginer("sys");

	/**
	 * 初始化配置信息
	 */
	public static void initConfig() {
		ResourceBundle rb = ResourceBundle.getBundle("project");
		hospitalId = rb.getString("monitor.hospitalId");
		monitorDir = rb.getString("monitor.monitorDir");
		if (monitorDir.endsWith(File.separator)) {
			// 去掉路径最后一个路径分隔符
			monitorDir = monitorDir.substring(0, monitorDir.lastIndexOf(File.separator));
		}
		monitorBackDir = monitorDir + "_back";
		postHost = rb.getString("monitor.postHost");
		postUri = rb.getString("monitor.postUri");
		postPort = Integer.parseInt(rb.getString("monitor.postPort"));
		postUri = rb.getString("monitor.postUri");
		errReportTitle = rb.getString("monitor.errReportTitle");
		errReportTimeInterval = Long.parseLong(rb.getString("monitor.errReportTimeInterval"));
		errReportToEmail = rb.getString("monitor.errReportToEmail");
		errReportFromEmail = rb.getString("monitor.errReportFromEmail");
		errReportFromEmailHost = rb.getString("monitor.errReportFromEmailHost");
		errReportFromEmailPwd = rb.getString("monitor.errReportFromEmailPwd");
	}

}
