package com.zskk.dicom.monitor.monitors;

import java.io.File;

import com.zskk.dicom.monitor.config.Configs;
import com.zskk.dicom.monitor.report.ErrReporter;
import com.zskk.dicom.monitor.uploader.UploadsQueue;

/**
 * 
 * @author Goofy
 * @Date 2015年7月6日 上午11:22:32
 */
public class FileChangeProc {

	public void startMonitor(String dir) {

		if (dir == null) {
			String msg = "error, the monitor dir con't is null!";
			ErrReporter.report(msg);
			return;
		}

		final File file = new File(dir);

		new Thread(new Runnable() {

			public void run() {
				try {
					new WatchDir(file, true, new FileActionCallback() {
						@Override
						public void create(File file) {
							if (file.isDirectory()) {
								// 创建文件夹不处理
								return;
							}
							String msg = "File create \t" + file.getAbsolutePath();
							Configs.sysLog.info(msg);
							UploadsQueue.add(file);
						}

						@Override
						public void delete(File file) {
							String msg = "File delete \t" + file.getAbsolutePath();
							Configs.sysLog.info(msg);
						}

						@Override
						public void modify(File file) {
							String msg = "File update \t" + file.getAbsolutePath();
							Configs.sysLog.info(msg);
						}
					});
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		}).start();
		Configs.sysLog.info("--------------------------------------------------\nMonitoring:" + file.getAbsolutePath() + "\t >>> ");
	}

	public static void main(String[] args) throws Exception {
		new FileChangeProc().startMonitor("D:\\upload");
	}

}
