package com.zskk.dicom.monitor.schedules;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;

import com.zskk.dicom.monitor.config.Configs;
import com.zskk.dicom.monitor.uploader.UploadsQueue;

public class StatRunner {

	private static ExecutorService pools = null;

	public static void start() {
		if (pools != null && !pools.isTerminated()) {
			pools.shutdown();
			while (pools.isTerminated()) {
				try {
					pools.awaitTermination(200, TimeUnit.MILLISECONDS);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
		}
		Configs.sysLog.info("StatRunner.start() ...");
		Configs.sysLog.info("Error report from:" + Configs.errReportFromEmail);
		Configs.sysLog.info("Error report to:" + Configs.errReportToEmail);
		pools = Executors.newSingleThreadExecutor();
		pools.execute(new DirMonitor());
		// 处理监控开启前未处理的文件
		UploadsQueue.init();
	}

}
