package com.zskk.dicom.monitor.uploader;

import java.io.File;

import com.zskk.dicom.monitor.report.ErrReporter;
import com.zskk.dicom.monitor.utils.ExceptionUtil;

public class UploadRunner implements Runnable {

	private File uploadFile;

	public UploadRunner(File uploadFile) {
		this.uploadFile = uploadFile;
	}

	@Override
	public void run() {
		try {
			// 从队列中移除已完成任务
			UploadsQueue.fileQueue.remove(uploadFile);
			FileUploader.upload(uploadFile);
		} catch (Throwable e) {
			ErrReporter.report(ExceptionUtil.getExceptionTxt(e));
			e.printStackTrace();
		}
	}

}
