package com.zskk.dicom.monitor.utils;

import org.apache.commons.mail.EmailAttachment;
import org.apache.commons.mail.EmailException;
import org.apache.commons.mail.HtmlEmail;

import com.zskk.dicom.monitor.config.Configs;

public class MailerUtil {

	public static void SendMail(String host, String from, String username, String password, String to, String cc, String charset, String subject, String mailConent, EmailAttachment[] atts) throws EmailException {
		if (charset == null || charset.equals("")) {
			charset = "GB2312";
		}
		HtmlEmail email = new HtmlEmail();
		email.setAuthentication(username, password);
		email.setHostName(host);
		email.addTo(to, from);
		if (cc != null && !"".equals(cc)) {
			if (cc.contains(";")) {
				String ccs[] = cc.split(";");
				for (int i = 0; i < ccs.length; i++) {
					email.addCc(ccs[i]);
				}
			} else {
				email.addCc(cc);
			}
		}
		email.setFrom(from);
		email.setSubject(subject);
		email.setCharset(charset);
		email.setHtmlMsg(mailConent); /* 邮件内容 */
		// 添加附件对象
		if (atts != null && atts.length > 0) {
			for (int i = 0; i < atts.length; i++) {
				if (atts[i] != null)
					email.attach(atts[i]);
			}
		}
		email.send();
		// 保存系统日志
		StringBuilder logMsg = new StringBuilder();
		logMsg.append("SendMail:" + from + " --> " + to + (cc == null ? "" : ";cc:" + cc) + "[" + subject + "]:\n");
		logMsg.append(mailConent);
		Configs.sysLog.info(logMsg.toString());
		logMsg = null;
	}
}
