package com.zskk.dicom.monitor.utils;

import java.io.File;

import com.zskk.dicom.monitor.config.Configs;

public class MonitorFileUtils {

	/**
	 * 移除空的目录
	 * 
	 * @param dirFile
	 */
	public static void removeEmptyDir(File dirFile) {
		// 文件的上级目录
		String fs[] = dirFile.list();
		if (fs == null || fs.length < 1) {
			String filePath = dirFile.getAbsolutePath();
			Boolean delRs = dirFile.delete();
			if (delRs) {
				Configs.sysLog.info("Dir is delete suc:" + filePath);
			} else {
				Configs.sysLog.info("Dir is delete fail:" + filePath);
			}
		}
	}

	/**
	 * 
	 * @param dcomFile
	 * @return
	 */
	public static String touchBackDir(File dcomFile) {
		String targetFile = dcomFile.getAbsolutePath();
		targetFile = targetFile.replace(Configs.monitorDir, "");
		targetFile = Configs.monitorBackDir + targetFile;
		String targetFileDirStr = targetFile.substring(0, targetFile.lastIndexOf(File.separator));
		File targetFileDir = new File(targetFileDirStr);
		if (!targetFileDir.exists()) {
			Boolean cr = targetFileDir.mkdirs();
			if (cr) {
				Configs.sysLog.info("Create backup dir :" + targetFileDir.getAbsolutePath());
			} else {
				Configs.sysLog.info("Create backup dir failed :" + targetFileDir.getAbsolutePath());
			}
		}
		return targetFile;
	}

}
